#
Summary: Prevents GDM for displaying all valid users on a system.
Name: zz_gdm_no_user_list
Version: 1.0
Release: 0
License: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Pat Riehecky
requires: GConf2,gdm
BuildArch: noarch

%description

By default in SL/SLF 6, GDM will display a list of all users with a valid login shell and UID >499 in a nice graphical menu.  This list of valid users for a system may not be approprate for all environments.  This RPM disables that functionality so that no information is exposed.

%files
%post

# disable user list is true to hide the users
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/gdm/simple-greeter/disable_user_list true >/dev/null 2>&1


%postun

# we removed the rpm so put back the functionality it changed
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/gdm/simple-greeter/disable_user_list false >/dev/null 2>&1

%changelog
* Tue Sep 13 2011 Pat Riehecky <riehecky@fnal.gov> - 1.0-0
- Initial creation

